ランタイム: Mix::Scene::ISimpleParticleSystem Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::ISimpleParticleSystem Class Referenceabstract

シンプルパーティクルシステムインターフェース More...

`#include <ISimpleParticleSystem.h>`

Inheritance diagram for Mix::Scene::ISimpleParticleSystem:
[legend]
Collaboration diagram for Mix::Scene::ISimpleParticleSystem:
[legend]

## Public Member Functions

virtual Boolean | IsBillboard (void) const =0
| 常にカメラの方向を向くかどうかを確認します More...
virtual Boolean | IsSimulationWorldSpace (void) const =0
| 発生元の回転、移動の影響を受けるかどうかを取得します More...
virtual Boolean | IsInvisibleSleep (void) const =0
| 視界に入っていない場合にスリープ状態にするかどうかを取得します More...
virtual void | SetInvisibleSleep (Boolean state)=0
| 視界に入っていない場合にスリープ状態にするかどうかを設定します More...
virtual Float32 | GetMinFarDist (void) const =0
| 遠いと判断する最小距離を取得します More...
virtual Float32 | GetMaxFarDist (void) const =0
| 遠いと判断する最大距離を取得します More...
virtual void | SetFarDist (Float32 minDist, Float32 maxDist)=0
| 遠いかどうかを判断する距離を設定します More...
virtual Boolean | IsFarSkipFrames (void) const =0
| 遠いと判断された際にフレームをスキップするかどうかを取得します More...
virtual void | SetFarSkipFrames (Boolean state)=0
| 遠いと判断された際にフレームをスキップするかどうかを設定します More...
virtual UInt32 | GetMaxFarSkipFrames (void) const =0
| 遠いと判断された際にスキップするフレームの最大数を取得します More...
virtual void | SetMaxFarSkipFrames (UInt32 value)=0
| 遠いと判断された際にスキップするフレームの最大数を設定します More...
virtual Float32 | GetMinEmitInterval (void) const =0
| 最小発生間隔を取得します More...
virtual Float32 | GetMaxEmitInterval (void) const =0
| 最大発生間隔を取得します More...
virtual void | SetEmitInterval (Float32 minEI, Float32 maxEI)=0
| 発生間隔を設定します More...
virtual UInt32 | GetMinEmitCount (void) const =0
| 最小発生数を取得します More...
virtual UInt32 | GetMaxEmitCount (void) const =0
| 最大発生数を取得します More...
virtual void | SetEmitCount (UInt32 minEC, UInt32 maxEC)=0
| 発生数を設定します More...
virtual const Mix::Vector3 & | GetEmitRadius (void) const =0
| 発生半径を取得します More...
virtual void | SetEmitRadius (const Mix::Vector3 &radius)=0
| 発生半径を設定します More...
virtual Float32 | GetEmitOffset (void) const =0
| 発生範囲の中心からのオフセットを取得します More...
virtual void | SetEmitOffset (Float32 offset)=0
| 発生範囲の中心からのオフセットを設定します More...
virtual Float32 | GetMinLife (void) const =0
| 最小ライフを取得します More...
virtual Float32 | GetMaxLife (void) const =0
| 最大ライフを取得します More...
virtual void | SetLife (Float32 minLife, Float32 maxLife)=0
| ライフを設定します More...
virtual Float32 | GetMinMass (void) const =0
| 最小質量を取得します More...
virtual Float32 | GetMaxMass (void) const =0
| 最大質量を取得します More...
virtual void | SetMass (Float32 minMass, Float32 maxMass)=0
| 質量を設定します More...
virtual const Mix::Vector3 & | GetGravity (void) const =0
| 重力を取得します More...
virtual void | SetGravity (const Mix::Vector3 &gravity)=0
| 重力を設定します More...
virtual const Mix::Vector3 & | GetConstantLinearVelocity (void) const =0
| 一定の移動速度を取得します More...
virtual void | SetConstantLinearVelocity (const Mix::Vector3 &vel)=0
| 一定の移動速度を設定します More...
virtual const Mix::Vector3 & | GetMinLinearImpulse (void) const =0
| 移動の最小撃力を取得します More...
virtual const Mix::Vector3 & | GetMaxLinearImpulse (void) const =0
| 移動の最大撃力を取得します More...
virtual void | SetLinearImpulse (const Mix::Vector3 &minImpulse, const Mix::Vector3 &maxImpulse)=0
| 移動の撃力を設定します More...
virtual const Mix::Vector3 & | GetMinLinearAcceleration (void) const =0
| 移動の最小加速度を取得します More...
virtual const Mix::Vector3 & | GetMaxLinearAcceleration (void) const =0
| 移動の最大加速度を取得します More...
virtual void | SetLinearAcceleration (const Mix::Vector3 &minAcc, const Mix::Vector3 &maxAcc)=0
| 移動の加速度を設定します More...
virtual Float32 | GetMinLinearVelocityDamping (void) const =0
| 移動の最小減衰値を取得します More...
virtual Float32 | GetMaxLinearVelocityDamping (void) const =0
| 移動の最大減衰値を取得します More...
virtual void | SetLinearVelocityDamping (Float32 minDamping, Float32 maxDamping)=0
| 移動の減衰値を設定します More...
virtual Float32 | GetMinAngularVelocityDamping (void) const =0
| 回転の最小減衰値を取得します More...
virtual Float32 | GetMaxAngularVelocityDamping (void) const =0
| 回転の最大減衰値を取得します More...
virtual void | SetAngularVelocityDamping (Float32 minDamping, Float32 maxDamping)=0
| 回転の減衰値を設定します More...
virtual const Mix::Vector2 & | GetInitalSize (void) const =0
| 最初のサイズを取得します More...
virtual const Mix::Vector2 & | GetLastSize (void) const =0
| 最後のサイズを取得します More...
virtual Float32 | GetMinSizeRand (void) const =0
| サイズの最小スケールを取得します More...
virtual Float32 | GetMaxSizeRand (void) const =0
| サイズの最大スケールを取得します More...
virtual void | SetSize (const Mix::Vector2 &initalSize, const Mix::Vector2 &lastSize, Float32 minSizeRnd, Float32 maxSizeRnd)=0
| サイズを設定します More...
virtual const Mix::Vector4 & | GetInitalColor (void) const =0
| 最初の色を取得します More...
virtual const Mix::Vector4 & | GetMiddleColor (void) const =0
| 中間の色を取得します More...
virtual const Mix::Vector4 & | GetLastColor (void) const =0
| 最後の色を取得します More...
virtual void | SetColor (const Mix::Vector4 &initalColor, const Mix::Vector4 &middleColor, const Mix::Vector4 &lastColor)=0
| 色を設定します More...
virtual Float32 | GetColorControlPoint1 (void) const =0
| 色の制御ポイント１を取得します More...
virtual Float32 | GetColorControlPoint2 (void) const =0
| 色の制御ポイント２を取得します More...
virtual void | SetColorControlPoints (Float32 p1, Float32 p2)=0
| 色の制御ポイントを設定します More...
virtual const Mix::Vector2 & | GetTexTL (void) const =0
| 貼り付けるテクスチャの左上のＵＶ座標を取得します More...
virtual const Mix::Vector2 & | GetTexBR (void) const =0
| 貼り付けるテクスチャの右下のＵＶ座標を取得します More...
virtual void | SetTexCoords (const Mix::Vector2 &tl, const Mix::Vector2 &br)=0
| 貼り付けるテクスチャのＵＶ座標を設定します More...
Public Member Functions inherited from Mix::Scene::IParticleSystem
virtual const Mix::Scene::IParticleSystem::CONFIG & | GetConfig (void) const =0
| 設定を取得します More...
virtual void | Internal_GetGenerator (Mix::Scene::IParticleGenerator **ppGenerator)=0
| ジェネレーターを取得します More...
virtual Boolean | Internal_CreateProcessor (Mix::Scene::IParticleProcessor **ppProcessor)=0
| プロセッサーを作成します More...
virtual Float32 | Internal_GetGenerateInterval (void) const =0
| 生成する間隔(秒単位)を取得します More...
virtual UInt32 | Internal_GetGenerateCount (void) const =0
| 生成する数を取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~ISimpleParticleSystem (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Scene::IParticleSystem
virtual | ~IParticleSystem (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Scene::IParticleSystem
enum | BASE_FLAGS { BILLBOARD = 0x00000001, SIMULATION_WORLD_SPACE = 0x00000002 }
| ベースフラグ列挙定数 More...
enum | BEHAVIOR_FLAGS { INVISIBLE_SLEEP = 0x00000001, FAR_SKIP_FRAMES = 0x00000002 }
| 振る舞いフラグ列挙定数 More...

## Detailed Description

シンプルパーティクルシステムインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::ISimpleParticleSystem::~ISimpleParticleSystem | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Scene::ISimpleParticleSystem::IsBillboard | ( | void |  | ) | const

pure virtual

常にカメラの方向を向くかどうかを確認します

Returns
  常にカメラの方向を向く場合は True を返します

virtual Boolean Mix::Scene::ISimpleParticleSystem::IsSimulationWorldSpace | ( | void |  | ) | const

pure virtual

発生元の回転、移動の影響を受けるかどうかを取得します

Returns
  発生元の回転、移動の影響を受けない場合は True を返します

virtual Boolean Mix::Scene::ISimpleParticleSystem::IsInvisibleSleep | ( | void |  | ) | const

pure virtual

視界に入っていない場合にスリープ状態にするかどうかを取得します

Returns
  視界に入っていない場合にスリープ状態にする場合は True を返します

virtual void Mix::Scene::ISimpleParticleSystem::SetInvisibleSleep | ( | Boolean | state | ) |

pure virtual

視界に入っていない場合にスリープ状態にするかどうかを設定します

Parameters

  [in] | state | 視界に入っていない場合にスリープ状態にする場合は True

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetMinFarDist | ( | void |  | ) | const

pure virtual

遠いと判断する最小距離を取得します

Returns
  距離を返します

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetMaxFarDist | ( | void |  | ) | const

pure virtual

遠いと判断する最大距離を取得します

Returns
  距離を返します

virtual void Mix::Scene::ISimpleParticleSystem::SetFarDist | ( | Float32 | minDist,
|  | Float32 | maxDist
| ) |  |

pure virtual

遠いかどうかを判断する距離を設定します

Parameters

  [in] | minDist | 遠いと判断する最小距離( minDist < maxDist )
  [in] | maxDist | 遠いと判断する最大距離( minDist < maxDist )

virtual Boolean Mix::Scene::ISimpleParticleSystem::IsFarSkipFrames | ( | void |  | ) | const

pure virtual

遠いと判断された際にフレームをスキップするかどうかを取得します

Returns
  フレームをスキップする場合は True を返します

virtual void Mix::Scene::ISimpleParticleSystem::SetFarSkipFrames | ( | Boolean | state | ) |

pure virtual

遠いと判断された際にフレームをスキップするかどうかを設定します

Parameters

  [in] | state | フレームをスキップする場合は True

virtual UInt32 Mix::Scene::ISimpleParticleSystem::GetMaxFarSkipFrames | ( | void |  | ) | const

pure virtual

遠いと判断された際にスキップするフレームの最大数を取得します

Returns
  スキップするフレームの最大数を返します

virtual void Mix::Scene::ISimpleParticleSystem::SetMaxFarSkipFrames | ( | UInt32 | value | ) |

pure virtual

遠いと判断された際にスキップするフレームの最大数を設定します

Parameters

  [in] | value | スキップするフレームの最大数

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetMinEmitInterval | ( | void |  | ) | const

pure virtual

最小発生間隔を取得します

Returns
  発生間隔を返します

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetMaxEmitInterval | ( | void |  | ) | const

pure virtual

最大発生間隔を取得します

Returns
  発生間隔を返します

virtual void Mix::Scene::ISimpleParticleSystem::SetEmitInterval | ( | Float32 | minEI,
|  | Float32 | maxEI
| ) |  |

pure virtual

発生間隔を設定します

Parameters

  [in] | minEI | 最小間隔( 0.0f 以上 - 秒単位 )
  [in] | maxEI | 最大間隔( minEI 以上 - 秒単位 )

virtual UInt32 Mix::Scene::ISimpleParticleSystem::GetMinEmitCount | ( | void |  | ) | const

pure virtual

最小発生数を取得します

Returns
  発生数を返します

virtual UInt32 Mix::Scene::ISimpleParticleSystem::GetMaxEmitCount | ( | void |  | ) | const

pure virtual

最大発生数を取得します

Returns
  発生数を返します

virtual void Mix::Scene::ISimpleParticleSystem::SetEmitCount | ( | UInt32 | minEC,
|  | UInt32 | maxEC
| ) |  |

pure virtual

発生数を設定します

Parameters

  [in] | minEC | 最小発生数( 0 以上 )
  [in] | maxEC | 最大発生数( ecMin 以上 )

virtual const Mix::Vector3& Mix::Scene::ISimpleParticleSystem::GetEmitRadius | ( | void |  | ) | const

pure virtual

発生半径を取得します

Returns
  半径を表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::ISimpleParticleSystem::SetEmitRadius | ( | const Mix::Vector3 & | radius | ) |

pure virtual

発生半径を設定します

Parameters

  [in] | radius | 半径

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetEmitOffset | ( | void |  | ) | const

pure virtual

発生範囲の中心からのオフセットを取得します

Returns
  オフセットを返します

virtual void Mix::Scene::ISimpleParticleSystem::SetEmitOffset | ( | Float32 | offset | ) |

pure virtual

発生範囲の中心からのオフセットを設定します

Parameters

  [in] | offset | オフセット( 0.0f 〜 1.0f )

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetMinLife | ( | void |  | ) | const

pure virtual

最小ライフを取得します

Returns
  ライフを返します

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetMaxLife | ( | void |  | ) | const

pure virtual

最大ライフを取得します

Returns
  ライフを返します

virtual void Mix::Scene::ISimpleParticleSystem::SetLife | ( | Float32 | minLife,
|  | Float32 | maxLife
| ) |  |

pure virtual

ライフを設定します

Parameters

  [in] | minLife | 最小ライフ( 0.0f以上 - 秒単位 )
  [in] | maxLife | 最大ライフ( 0.0f以上 - 秒単位 )

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetMinMass | ( | void |  | ) | const

pure virtual

最小質量を取得します

Returns
  質量を返します

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetMaxMass | ( | void |  | ) | const

pure virtual

最大質量を取得します

Returns
  質量を返します

virtual void Mix::Scene::ISimpleParticleSystem::SetMass | ( | Float32 | minMass,
|  | Float32 | maxMass
| ) |  |

pure virtual

質量を設定します

Parameters

  [in] | minMass | 最小質量( 0.0f以上 )
  [in] | maxMass | 最大質量( 0.0f以上 )

virtual const Mix::Vector3& Mix::Scene::ISimpleParticleSystem::GetGravity | ( | void |  | ) | const

pure virtual

重力を取得します

Returns
  重力を表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::ISimpleParticleSystem::SetGravity | ( | const Mix::Vector3 & | gravity | ) |

pure virtual

重力を設定します

Parameters

  [in] | gravity | 重力を表す Mix::Vector3 クラス

virtual const Mix::Vector3& Mix::Scene::ISimpleParticleSystem::GetConstantLinearVelocity | ( | void |  | ) | const

pure virtual

一定の移動速度を取得します

Returns
  移動速度を表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::ISimpleParticleSystem::SetConstantLinearVelocity | ( | const Mix::Vector3 & | vel | ) |

pure virtual

一定の移動速度を設定します

Parameters

  [in] | vel | 移動速度を表す Mix::Vector3 クラス

virtual const Mix::Vector3& Mix::Scene::ISimpleParticleSystem::GetMinLinearImpulse | ( | void |  | ) | const

pure virtual

移動の最小撃力を取得します

Returns
  撃力を表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Scene::ISimpleParticleSystem::GetMaxLinearImpulse | ( | void |  | ) | const

pure virtual

移動の最大撃力を取得します

Returns
  撃力を表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::ISimpleParticleSystem::SetLinearImpulse | ( | const Mix::Vector3 & | minImpulse,
|  | const Mix::Vector3 & | maxImpulse
| ) |  |

pure virtual

移動の撃力を設定します

Parameters

  [in] | minImpulse | 最小撃力を表す Mix::Vector3 クラス
  [in] | maxImpulse | 最大撃力を表す Mix::Vector3 クラス

Note
  移動の初速に影響します

virtual const Mix::Vector3& Mix::Scene::ISimpleParticleSystem::GetMinLinearAcceleration | ( | void |  | ) | const

pure virtual

移動の最小加速度を取得します

Returns
  加速度を表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Scene::ISimpleParticleSystem::GetMaxLinearAcceleration | ( | void |  | ) | const

pure virtual

移動の最大加速度を取得します

Returns
  加速度を表す Mix::Vector3 クラスを返します

virtual void Mix::Scene::ISimpleParticleSystem::SetLinearAcceleration | ( | const Mix::Vector3 & | minAcc,
|  | const Mix::Vector3 & | maxAcc
| ) |  |

pure virtual

移動の加速度を設定します

Parameters

  [in] | minAcc | 最小加速度を表す Mix::Vector3 クラス
  [in] | maxAcc | 最大加速度を表す Mix::Vector3 クラス

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetMinLinearVelocityDamping | ( | void |  | ) | const

pure virtual

移動の最小減衰値を取得します

Returns
  減衰値を返します

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetMaxLinearVelocityDamping | ( | void |  | ) | const

pure virtual

移動の最大減衰値を取得します

Returns
  減衰値を返します

virtual void Mix::Scene::ISimpleParticleSystem::SetLinearVelocityDamping | ( | Float32 | minDamping,
|  | Float32 | maxDamping
| ) |  |

pure virtual

移動の減衰値を設定します

Parameters

  [in] | minDamping | 最小減衰値( 0.0f 以上 )
  [in] | maxDamping | 最大減衰値( minDamping 以上 )

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetMinAngularVelocityDamping | ( | void |  | ) | const

pure virtual

回転の最小減衰値を取得します

Returns
  減衰値を返します

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetMaxAngularVelocityDamping | ( | void |  | ) | const

pure virtual

回転の最大減衰値を取得します

Returns
  減衰値を返します

virtual void Mix::Scene::ISimpleParticleSystem::SetAngularVelocityDamping | ( | Float32 | minDamping,
|  | Float32 | maxDamping
| ) |  |

pure virtual

回転の減衰値を設定します

Parameters

  [in] | minDamping | 最小減衰値
  [in] | maxDamping | 最大減衰値

virtual const Mix::Vector2& Mix::Scene::ISimpleParticleSystem::GetInitalSize | ( | void |  | ) | const

pure virtual

最初のサイズを取得します

Returns
  サイズを表す Mix::Vector2 クラスを返します

virtual const Mix::Vector2& Mix::Scene::ISimpleParticleSystem::GetLastSize | ( | void |  | ) | const

pure virtual

最後のサイズを取得します

Returns
  サイズを表す Mix::Vector2 クラスを返します

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetMinSizeRand | ( | void |  | ) | const

pure virtual

サイズの最小スケールを取得します

Returns
  スケールを返します

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetMaxSizeRand | ( | void |  | ) | const

pure virtual

サイズの最大スケールを取得します

Returns
  スケールを返します

virtual void Mix::Scene::ISimpleParticleSystem::SetSize | ( | const Mix::Vector2 & | initalSize,
|  | const Mix::Vector2 & | lastSize,
|  | Float32 | minSizeRnd,
|  | Float32 | maxSizeRnd
| ) |  |

pure virtual

サイズを設定します

Parameters

  [in] | initalSize | 最初のサイズを表す Mix::Vector2 クラス
  [in] | lastSize | 最後のサイズを表す Mix::Vector2 クラス
  [in] | minSizeRnd | 最小スケール
  [in] | maxSizeRnd | 最大スケール

virtual const Mix::Vector4& Mix::Scene::ISimpleParticleSystem::GetInitalColor | ( | void |  | ) | const

pure virtual

最初の色を取得します

Returns
  色を表す Mix::Vector4 クラスを返します

virtual const Mix::Vector4& Mix::Scene::ISimpleParticleSystem::GetMiddleColor | ( | void |  | ) | const

pure virtual

中間の色を取得します

Returns
  色を表す Mix::Vector4 クラスを返します

virtual const Mix::Vector4& Mix::Scene::ISimpleParticleSystem::GetLastColor | ( | void |  | ) | const

pure virtual

最後の色を取得します

Returns
  色を表す Mix::Vector4 クラスを返します

virtual void Mix::Scene::ISimpleParticleSystem::SetColor | ( | const Mix::Vector4 & | initalColor,
|  | const Mix::Vector4 & | middleColor,
|  | const Mix::Vector4 & | lastColor
| ) |  |

pure virtual

色を設定します

Parameters

  [in] | initalColor | 最初の色を表す Mix::Vector4 クラス
  [in] | middleColor | 中間の色を表す Mix::Vector4 クラス
  [in] | lastColor | 最後の色を表す Mix::Vector4 クラス

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetColorControlPoint1 | ( | void |  | ) | const

pure virtual

色の制御ポイント１を取得します

Returns
  制御ポイントを返します

virtual Float32 Mix::Scene::ISimpleParticleSystem::GetColorControlPoint2 | ( | void |  | ) | const

pure virtual

色の制御ポイント２を取得します

Returns
  制御ポイントを返します

virtual void Mix::Scene::ISimpleParticleSystem::SetColorControlPoints | ( | Float32 | p1,
|  | Float32 | p2
| ) |  |

pure virtual

色の制御ポイントを設定します

Parameters

  [in] | p1 | 制御ポイント１( 0.0f 以上 )
  [in] | p2 | 制御ポイント２( p1 以上 )

Note
  中間色に影響します。

virtual const Mix::Vector2& Mix::Scene::ISimpleParticleSystem::GetTexTL | ( | void |  | ) | const

pure virtual

貼り付けるテクスチャの左上のＵＶ座標を取得します

Returns
  ＵＶ座標を表す Mix::Vector2 クラスを返します

virtual const Mix::Vector2& Mix::Scene::ISimpleParticleSystem::GetTexBR | ( | void |  | ) | const

pure virtual

貼り付けるテクスチャの右下のＵＶ座標を取得します

Returns
  ＵＶ座標を表す Mix::Vector2 クラスを返します

virtual void Mix::Scene::ISimpleParticleSystem::SetTexCoords | ( | const Mix::Vector2 & | tl,
|  | const Mix::Vector2 & | br
| ) |  |

pure virtual

貼り付けるテクスチャのＵＶ座標を設定します

Parameters

  [in] | tl | 左上のＵＶ座標を表す Mix::Vector2 クラス
  [in] | br | 左上のＵＶ座標を表す Mix::Vector2 クラス

The documentation for this class was generated from the following file:

- Mix/Scene/ISimpleParticleSystem.h